#!/bin/sh
#
# crmairseatd.sh -- Compute the air-sea temperature difference from a
# crm file.
#
if test $# != 1
then
    echo "Usage: crmairseatd.sh casenum"
else
    num=$1
    infile=prof.${num}
    SST=sst

    cdfrdim z 0 < $infile | \
	cdfmath "$SST p 100000 / 0.286 pow th * - astd =" | \
	qplot "time,astd,p/1,gr/CRM case $num,tl"
fi
