#!/bin/sh
#
# crmsnd.sh -- Plot a sounding
#
if test $# != 3
then
    echo "Usage: crmsnd.sh case time1 time2"
else
    num=$1
    time1=$2
    time2=$3
    infile=prof.${num}

    cdfrdim time $time1 $time2 < $infile | \
	qplot "th,z,p/the,z,p/thes,z,p/1,gr/Case ${num}; time int ${time1}-${time2},tl"
fi
