/* timestep.h */
void timestep(int mpisize, int gx, int gy, MPI_Comm mycom, int rank,
	      int igx, int igy, int nx, int nxs, int nx1, int ny, int nys,
	      int ny1, int nz, double dx, double dy, double dz, double dt,
	      double eddy, double filter, double lambda, double drh,
	      double crain, double csnow, double cevap, double wtermw,
	      double wtermi, double cld, double cdrag, double ueffmin,
	      double *sentwtg, double *srtwtg, double *svx, double *svy,
	      double *mu, double *vx0, double *vy0, double psmean,
	      double *rho, double *vx, double *vy, double *vz, double *p,
	      double *th, double *ent, double *rt, double *r, double *rc,
	      double *rr, double *kk, double *kv, double *vxcuflux,
	      double *vxcufluxcum, double*vycuflux, double *vycufluxcum,
	      double *entcuflux, double *entcufluxcum, double *rtcuflux,
	      double *rtcufluxcum, double *rrcuflux, double *rrcufluxcum,
	      double *sentrad, double *sentradcum, double *srtrain,
	      double *srtraincum, double *entflux, double *entfluxcum,
	      double *rtflux, double *rtfluxcum, double*vxflux,
	      double *vxfluxcum, double *vyflux, double *vyfluxcum,
	      double *rainflux, double *rainfluxcum, double *stemp);
