#!/bin/sh
#
# crmrbudget.sh -- Calculate water budget from a crm prof file.
#
if test $# != 1
then
    echo "Usage: crmrbudget.sh case_num"
else
    num=$1
    infile=prof.$num

    cdfmath "rt rho * rhort =" < $infile | \
	cdfmath "srtraincum rho * rhosrtraincum =" | \
	cdfdefint z | \
	cdfmath "rhort rhosrtraincum - rtfluxcum - residual =" | \
	qplot "time,rhort,p/time,rhosrtraincum,p/time,rtfluxcum,p/time,residual,p/1,gr/sw,le/case $num,tl"
fi
