#!/bin/sh
#
# crmsurf.sh -- Derive surface conditions as a function of x and time.
#
if test $# != 1
then
    echo "Usage: crmsurf.sh case_num"
else
    num=$1
    dir=t$num
    fileroot=test$num
    outfile=surf.$num

    cdfcatf ${dir}/${fileroot}.* | \
	cdfrdim z 0 | \
	cdfrdim y 0 | \
	cdfcat time 0 10000000 2001 > $outfile
fi
